RSS   Vulnerabilities for 'Libcaca'   RSS

2021-05-26
 
CVE-2021-30498

CWE-119
 

 
A flaw was found in libcaca. A heap buffer overflow in export.c in function export_tga might lead to memory corruption and other potential consequences.

 
2021-02-23
 
CVE-2021-3410

CWE-119
 

 
A flaw was found in libcaca v0.99.beta19. A buffer overflow issue in caca_resize function in libcaca/caca/canvas.c may lead to local execution of arbitrary code in the user context.

 
2018-12-28
 
CVE-2018-20549

CWE-190
 

 
There is an illegal WRITE memory access at caca/file.c (function caca_file_read) in libcaca 0.99.beta19.

 
 
CVE-2018-20548

CWE-190
 

 
There is an illegal WRITE memory access at common-image.c (function load_image) in libcaca 0.99.beta19 for 1bpp data.

 
 
CVE-2018-20547

CWE-190
 

 
There is an illegal READ memory access at caca/dither.c (function get_rgba_default) in libcaca 0.99.beta19 for 24bpp data.

 
 
CVE-2018-20546

CWE-190
 

 
There is an illegal READ memory access at caca/dither.c (function get_rgba_default) in libcaca 0.99.beta19 for the default bpp case.

 
 
CVE-2018-20545

CWE-190
 

 
There is an illegal WRITE memory access at common-image.c (function load_image) in libcaca 0.99.beta19 for 4bpp data.

 
 
CVE-2018-20544

CWE-369
 

 
There is floating point exception at caca/dither.c (function caca_dither_bitmap) in libcaca 0.99.beta19.

 


Copyright 2021, cxsecurity.com

 

Back to Top